## org.eclipse.datatools.sqltools.result.internal.index
Interface IResultHistoryIndex

All Known Implementing Classes:
  ResultHistoryLuceneIndex

    public interface IResultHistoryIndex

An index used to search the result history

Author:
  Dafan Yang

Method Summary
`void` `addResult(IResultInstance instance)` Adds a new instance for indexing
`void` `addResults(IResultInstance[] instances)` Adds a list of result instances for indexing
`void` `refreshResult(IResultInstance instance)` Refreshes the given result instance
`void` `removeResult(IResultInstance instance)` Removes the specified result instance
`void` `removeResults(IResultInstance[] instances)` Removes a list of result instances
`IResultInstance[]` `search(java.lang.String expression)` Searches the index by the given expression and returns the searching results

Method Detail

### addResult

    void addResult(IResultInstance instance)

  Adds a new instance for indexing

  Parameters:
    `instance` - a result instance

### addResults

    void addResults(IResultInstance[] instances)

  Adds a list of result instances for indexing

  Parameters:
    `instances` - a list of result instances

### removeResult

    void removeResult(IResultInstance instance)

  Removes the specified result instance

  Parameters:
    `instance` - a result instance

### removeResults

    void removeResults(IResultInstance[] instances)

  Removes a list of result instances

  Parameters:
    `instances` - a list of result instances

### refreshResult

    void refreshResult(IResultInstance instance)

  Refreshes the given result instance

  Parameters:
    `instance` - a result instance

### search

    IResultInstance[] search(java.lang.String expression)

  Searches the index by the given expression and returns the searching results

  Parameters:
    `expression` - the search expression
  Returns:
    the searching results